services:
  runtipi-reverse-proxy:
    volumes:
    - type: bind
      source: ./traefik/shared
      target: /shared
      read_only: false
    - type: bind
      source: ./traefik
      target: /srv/traefik
      read_only: false
    - type: bind
      source: ./user-config/_traefik/dynamic/
      target: /srv/traefik/dynamic/
      read_only: true
    - type: bind
      source: ./user-config/_traefik/static.yml
      target: /srv/traefik/static.yml
      read_only: true
    logging:
      driver: "json-file"
      options:
        max-size: "2m"
        max-file: "3"
    ports:
      - 8080:8080
    command:
      - '--log.level=DEBUG'
      - '--configFile=/srv/traefik/static.yml'
      - '--certificatesresolvers.myresolver.acme.email=${ACME_EMAIL}'
    environment:
      CF_API_EMAIL: "${ACME_EMAIL:?}"
      CF_DNS_API_TOKEN: "${CF_DNS_API_TOKEN:?}"
      TRAEFIK_API_DISABLEDASHBOARDAD: "true"
    networks:
    - tipi_main_network
    - tipi_internal_network

networks:
  tipi_internal_network:
    internal: true
    attachable: true
    name: runtipi_internal_network

